Download it now!
Bug 60581 - [Template manager] Can not import template after descending into directory
Summary: [Template manager] Can not import template after descending into directory
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: high normal
Assignee: Rafael Dominguez
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on:
Blocks: 60601
  Show dependency treegraph
 
Reported: 2013-02-10 11:54 UTC by Mirosław Zalewski
Modified: 2013-05-10 09:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mirosław Zalewski 2013-02-10 11:54:41 UTC
New template manager, introduced in 4.0.0, can import templates from external sources. Unfortunately, this option is available only after selecting directory in main window. Many users are used to going into directory and then pressing Ctrl+V, so they have hard time figuring out new workflow.

This can be fixed by making option "Import template" ever-visible. This way users can first descend into directory and then import template.
Comment 1 Jorendc 2013-02-10 13:33:14 UTC
Thanks for reporting (again ;-) )!

I can confirm this behavior and I think that'll be indeed a good enhancement. I'm not sure to mark this as enhancement or as bug ...
Comment 2 Cédric Bosdonnat 2013-02-11 09:02:30 UTC
The reason, for that is pretty simple: the Import icon is using the selected folder as the target folder. Being in a folder is a bit different, but I agree this should work as well.

This is what I consider a UI design bug ;)
Comment 3 Jorendc 2013-03-11 17:00:12 UTC
I do agree with cédric this can be seen as a (UI/design) bug. Therefore I mark it as such with priority Medium High.
Comment 4 Tin Man 2013-03-14 20:18:02 UTC
It'd be best if the Import button appeared even when nothing is selected.
Comment 5 Commit Notification 2013-03-28 04:50:32 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a544f366867cb03ccc3a90703fc437e81fabc7a2

fdo#60581 Display import templates only when its allowed.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-03-28 04:50:50 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=85b567374edb6456fcf7d1c78dc0ba5d8a3afb10

fdo#60581 Import templates into current directory.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-04-08 07:46:20 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=73c7e4e5a0da6e4326b9dad3d48ddd0b3aa12d61&h=libreoffice-4-0

fdo#60581 Display import templates only when its allowed.


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-04-08 07:46:37 UTC
Rafael Dominguez committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6bdcdb6523d17470c17b84b2da573ade6f321aad&h=libreoffice-4-0

fdo#60581 Import templates into current directory.


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Cor Nouws 2013-05-10 09:03:50 UTC
is OK in 4.0.3 -  thanks a lot!
Comment 10 Jorendc 2013-05-10 09:12:45 UTC
(In reply to comment #9)
> is OK in 4.0.3 -  thanks a lot!

:-) VERIFIED FIXED then. Thanks for testing Cor!